Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPolyDataToImageStencil Class Reference

`#include <vtkPolyDataToImageStencil.h>`

Inheritance diagram for vtkPolyDataToImageStencil:

[legend]
Collaboration diagram for vtkPolyDataToImageStencil:

[legend]
List of all members.

## Detailed Description

clip an image with polydata

Date:
  2002/08/07 23:12:10

Revision:
  1.8

vtkPolyDataToImageStencil will convert a vtkPolyData into an image that can be used with vtkImageStecil or other vtk classes that apply a stencil to an image.

See also:
  vtkPolyData vtkImageStencil vtkImplicitFunctionToImageStencil

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (92%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Hybrid/vtkPolyDataToImageStencil.h)`
  - .`cxx` (`/Hybrid/vtkPolyDataToImageStencil.cxx)`

Tests:
  vtkPolyDataToImageStencil (Tests)

Definition at line 52 of file vtkPolyDataToImageStencil.h.

## Public Types
typedef vtkImageStencilSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkPolyData *input)
vtkPolyData * | GetInput ()
virtual void | SetTolerance (float)
virtual float | GetTolerance ()
## Static Public Methods
vtkPolyDataToImageStencil * | New ()
int | IsTypeOf (const char *type)
vtkPolyDataToImageStencil * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPolyDataToImageStencil ()
| ~vtkPolyDataToImageStencil ()
void | ExecuteData (vtkDataObject *out)
void | ThreadedExecute (vtkImageStencilData *output, int extent[6], int threadId)
## Protected Attributes
float | Tolerance
vtkOBBTree * | OBBTree

## Member Typedef Documentation

typedef vtkImageStencilSource vtkPolyDataToImageStencil::Superclass

| Reimplemented from vtkImageStencilSource. Definition at line 56 of file vtkPolyDataToImageStencil.h.

## Constructor & Destructor Documentation

vtkPolyDataToImageStencil::vtkPolyDataToImageStencil | ( |  | ) | `[protected]`

vtkPolyDataToImageStencil::~vtkPolyDataToImageStencil | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPolyDataToImageStencil* vtkPolyDataToImageStencil::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageStencilSource.

virtual const char* vtkPolyDataToImageStencil::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageStencilSource.

int vtkPolyDataToImageStencil::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageStencilSource.

virtual int vtkPolyDataToImageStencil::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageStencilSource.

vtkPolyDataToImageStencil* vtkPolyDataToImageStencil::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageStencilSource.

void vtkPolyDataToImageStencil::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageStencilSource.

void vtkPolyDataToImageStencil::SetInput | ( | vtkPolyData * | input | ) |

| Specify the polydata to convert into a stencil.

vtkPolyData* vtkPolyDataToImageStencil::GetInput | ( |  | ) |

| Specify the polydata to convert into a stencil.

virtual void vtkPolyDataToImageStencil::SetTolerance | ( | float |  | ) | `[virtual]`

| Set the tolerance for doing spatial searches of the polydata.

virtual float vtkPolyDataToImageStencil::GetTolerance | ( |  | ) | `[virtual]`

| Set the tolerance for doing spatial searches of the polydata.

void vtkPolyDataToImageStencil::ExecuteData | ( | vtkDataObject * | out | ) | `[protected]`

| Reimplemented from vtkImageStencilSource.

void vtkPolyDataToImageStencil::ThreadedExecute | ( | vtkImageStencilData * | output,
|  | int | extent[6],
|  | int | threadId
| ) | `[protected, virtual]`

| Override this method to support clipping with different kinds of objects. Eventually the extent could be split up and handled by multiple threads, but it isn't for now. But please ensure that all code inside this method is thread-safe. Reimplemented from vtkImageStencilSource.

## Member Data Documentation

float vtkPolyDataToImageStencil::Tolerance`[protected]`

| Definition at line 79 of file vtkPolyDataToImageStencil.h.

vtkOBBTree* vtkPolyDataToImageStencil::OBBTree`[protected]`

| Definition at line 80 of file vtkPolyDataToImageStencil.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkPolyDataToImageStencil.h